cancel
Showing results for 
Search instead for 
Did you mean: 

PSoC 5, 3 & 1 MCU

Anonymous
Not applicable

I got a PSoC 3 Starter Kit last week and have done all the example projects without any problem. Today I started a new project, when I Build the main.c file it completes the operation, Build Succeeded, but when I program (Ctrl+F5) I get a Select Debug Target, Window. This is what is listed PSoC3 CY8C3866AX*-040

   

Available for use Unacquired.

   

I went to the Project > Device Selector and my CY8C3866AXI-040  is listed. When I return to Program I get the same message and no Programming occurs. Everything else seems fin. Am I  missing something obvious? I can't see anything different from the examples given in the PSoC 3 First Touch Starter Kit.

0 Likes
Reply
1 Solution
Anonymous
Not applicable

Hi WAAS2112,

   

 

   

After selecting CY8C3886-AXI-040 from the Device Selector, you'll have to choose the "Device Revisions" to ES2 or ES3 according to the chip available on the kit.

   

You can find out the revision by looking into the chip name. If it is CY8C3866AXI-040ES2, then it is ES2. If it is CY8C3866AXI-040ES3, then it is ES3 version.

   

 

   

Other way to find out is, on the casing of the kit if it is named as CY8CKIT-003A, then it has an ES3 version, just CY8CKIT-003 indicates that it has an ES2 version.

   

 

   

Regards

View solution in original post

0 Likes
Reply
3 Replies
Anonymous
Not applicable

Hi WAAS2112,

   

 

   

After selecting CY8C3886-AXI-040 from the Device Selector, you'll have to choose the "Device Revisions" to ES2 or ES3 according to the chip available on the kit.

   

You can find out the revision by looking into the chip name. If it is CY8C3866AXI-040ES2, then it is ES2. If it is CY8C3866AXI-040ES3, then it is ES3 version.

   

 

   

Other way to find out is, on the casing of the kit if it is named as CY8CKIT-003A, then it has an ES3 version, just CY8CKIT-003 indicates that it has an ES2 version.

   

 

   

Regards

View solution in original post

0 Likes
Reply
Anonymous
Not applicable

PSoC3 device has had multiple revisions with continuous improvements. The devices were released as ES1, ES2 and ES3/production version, where ES- Engineering Sample. All the projects that come with the PSoC3 First Touch Kit are built for CY8C3866AXI-040 ES2. Hence all the projects work off the hand.

   

 

   

However when you build a new PSoC3 project it is necessary to select a suitable device type and version in the device selector.  Ensure that the device selected us CY8C3866AXI-040/ES2 and then proceed. Picture attached illustrates the same.

Anonymous
Not applicable

Thank you for the tip that was the problem. I knew I was missing something, I am new to this software, but I already love it. As soon as I get use to it , I will be anxious to implement my project on it. Thanks again for the help.

0 Likes
Reply